#include "aimsystem.h"
#include <allegro.h>
#include "game.h"
#include <iostream>
#include <cstdlib>
#include <cmath>
using namespace std;

namespace AntiKill
{

AimSystem::AimSystem()
{
	this->frontSight = new FrontSight();
}

AimSystem::~AimSystem()
{
}

}

void AntiKill::AimSystem::draw(BITMAP* dest)
{
	frontSight->draw(dest);
}

int AntiKill::AimSystem::getStyle() const
{
	return this->style;
}

int AntiKill::AimSystem::getX() const
{
	return frontSight->getX();
}

int AntiKill::AimSystem::getY() const
{
	return frontSight->getY();
}

void AntiKill::AimSystem::setStyle(int s)
{
	this->style = s;
}

void AntiKill::AimSystem::setX(int x)
{
	this->frontSight->setX(x);
}

void AntiKill::AimSystem::setY(int y)
{
	this->frontSight->setY(y);
}

void AntiKill::AimSystem::move()
{
	Game &g = Game::getInstance();
	int x = getX(), y = getY();
	if(0<x&&x<g.getMapSystem().getClientWidth() && 0<y&&y<g.getMapSystem().getClientHeight() 
		&& g.getMainPlayer() && g.getMainPlayer()->isAlive()){
		position_mouse(x, y);
	}
	this->frontSight->move();
}

void AntiKill::AimSystem::jump(int dist)
{
	this->frontSight->jump(dist);
}

