#ifndef AIMSYSTEM_H
#define AIMSYSTEM_H

#include "object.h"
#include "frontsight.h"

namespace AntiKill
{

class AimSystem {
private:
	int	style;
	FrontSight* frontSight;
public:
	AimSystem();
	~AimSystem();
	void setX(int x);
	void setY(int y);
	int getX()const;
	int getY()const;
	void draw(BITMAP* dest);
	int getStyle()const;
	void setStyle(int s);
	void move();
	void jump(int dist);
};

}

#endif // AIMSYSTEM_H
