#ifndef AIPLAYER_H
#define AIPLAYER_H

#include "player.h"

namespace AntiKill
{


class AIPlayer : public Player{
private:
	int 		waitTime;
	bool		underControl;
public:
	AIPlayer(string name, string role);
	~AIPlayer();
	virtual void move();
	virtual	void doMoveLeft();
	virtual	void doMoveRight();
	virtual void doFire();
	bool isUnderControl() const;
	void setControlMode(bool mode);
};

}

#endif // AIPLAYER_H
