#ifndef BLOOD_H
#define BLOOD_H

#include "realbody.h"

namespace AntiKill
{

class Blood : public RealBody {
private:
	int radius;
	int color;
	int speed;
	int lifetime;
	int born;
public:
	Blood(int x, int y, Vector& dir);
	virtual ~Blood();
	virtual void draw(BITMAP* dest, int x, int y );
	virtual void move();
	virtual bool collide(Object*);
};

}

#endif // BLOOD_H
