#ifndef BULLET_H
#define BULLET_H

#include "object.h"
#include "player.h"
namespace AntiKill
{

class Bullet:public Object {
private:
	int destX;
	int destY;
	int srcX;
	int srcY;
	float speed;
	float distance;
	int blockX, blockY;
	Player* owner;
private:
	bool checkPoint(float cx, float cy);
public:
	Bullet(Player* p, int srcX, int srcY, int destX, int destY);
	~Bullet();
	virtual void draw(BITMAP* dest, int x, int y);
	virtual void move();
	Player* getOwner();
};

}

#endif // BULLET_H
