#ifndef EXPLOSION_H
#define EXPLOSION_H

#include "object.h" // Base class: AntiKill::Object
#include "player.h"

namespace AntiKill
{

class Explosion : public AntiKill::Object {
private:
	int lifetime;
	int radius;
	Player* owner;
public:
	Explosion(Player* p, int x, int y);
	virtual ~Explosion();
	virtual void move();
	virtual void draw(BITMAP* dest, int x, int y);

};

}

#endif // EXPLOSION_H
