#ifndef FRONTSIGHT_H
#define FRONTSIGHT_H

#include "realbody.h"

namespace AntiKill
{

class FrontSight:public RealBody {
protected:
	int	trembling;
	int	divergence;
	int	defaultDivergence;
	int	maxDivergence;
public:
	FrontSight();
	~FrontSight();
	void setTrembling(int t);
	int getTrembling();
	int getDivergence() const;
	void setDivergence(int div);
	virtual void draw(BITMAP* dest);
	virtual void move();
	virtual void jump(int dist);
};

}

#endif // FRONTSIGHT_H
