#ifndef INFOBAR_H
#define INFOBAR_H

#include <allegro.h>

namespace AntiKill
{
	
enum EquipmentType{
	EquipNone = 0,
	EquipPistol,
	EquipGun,
	EquipGrenade
};

class InfoBar {
	BITMAP* blood, *defend, *gun, *pistol, *bullet, *back, *grenade;
	int bloodValue;
	int defendValue;
	int equipment;
	int bulletCount;
	int backupCount;
	BITMAP* bar;
	bool visible;
public:
	InfoBar();
	~InfoBar();
	void initialize();
	void setBlood(int v);
	void setBullet(int v);
	void setEquipment(int v);
	void setDefend(int v);
	void setBackup(int v);
	void draw(BITMAP* bitmap);
	void refresh();
	void refresh(BITMAP* b);
	void hide();
	void show();
};

}

#endif // INFOBAR_H
