#ifndef INPUTSYSTEM_H
#define INPUTSYSTEM_H

#include "eventsystem.h"
#include "clientnetwork.h"

namespace AntiKill
{

class InputSystem {
private:
	int oldMouseX, oldMouseY;
	bool eventKey[MAX_EVENT];
public:
	InputSystem();
	~InputSystem();
	bool initialize();
	void doInput();
	void pressKey(enum EventAction action);
	void freeKey(enum EventAction action);
};

}

#endif // INPUTSYSTEM_H
