#include "presentbox.h"
#include "game.h"

namespace AntiKill
{

PresentBox::PresentBox()
{
	show();
}

PresentBox::~PresentBox()
{
}

}

void AntiKill::PresentBox::handleCollision(int dir, Object* o)
{
	Game& g = Game::getInstance();
	Player* p = dynamic_cast<Player*>(o);
	if(p==g.getMainPlayer()){
		g.getScriptSystem().raise("OnPresent", this->getId(), this->getX(), this->getY() );
		p->stopMoving();
		p->stop();
		die();
	}
}

