#include <allegro.h>
#include "blood.h"
#include "player.h"
#include <iostream>
using namespace std;

namespace AntiKill
{

Blood::~Blood()
{
}

}

AntiKill::Blood::Blood(int x, int y, Vector& dir)
{
	setX(x);
	setY(y);
	radius = rand()%5+1;;
	color = makecol(255,0,0);
	speed = 5;
	lifetime = 60;
	born = time(0);
	Vector v = dir;
	v.x *= rand()%speed * (-1)*(rand()%2);
	v.y *= rand()%speed * (-1)*(rand()%2);
	this->setVelocity(v);
	show();
}

void AntiKill::Blood::draw(BITMAP* dest, int x, int y)
{
	circlefill(dest, getX()-x, getY()-y, radius, color );
}

void AntiKill::Blood::move()
{
	RealBody::move();
	if(time(0)-born >= lifetime)
		die();
}

bool AntiKill::Blood::collide(Object* o)
{
	Player* p = dynamic_cast<Player*>(o);
	if(p)
		return false;
	return RealBody::collide(o);
}

