#include "clientnetwork.h"
#include "game.h"

namespace AntiKill
{

ClientNetwork::ClientNetwork()
{
	serverId = 0;
}

ClientNetwork::~ClientNetwork()
{
}

}

bool AntiKill::ClientNetwork::sendEvent(Event* e)
{
	Game& g = AntiKill::Game::getInstance();
	Player* main =  g.getMainPlayer();
	if(!main)
		return false;
	e->player = main->getPlayerId();
	if(!serverId){ 
		g.getEventSystem().addEvent(e);
		return true;
	}
	delete e;
	return false;
}

int AntiKill::ClientNetwork::getPlayerId()
{
	return playerId;
}

void AntiKill::ClientNetwork::setPlayerId(int id)
{
	this->playerId = id;
}

